// DAO_StockView.h : interface of the CDAO_StockView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DAO_STOCKVIEW_H__E6446480_2540_11D4_9FBB_080009EE62AA__INCLUDED_)
#define AFX_DAO_STOCKVIEW_H__E6446480_2540_11D4_9FBB_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CDAO_StockView : public CFormView
{
protected: // create from serialization only
	CDAO_StockView();
	DECLARE_DYNCREATE(CDAO_StockView)

	CStockPage m_StockPage;
	CPortfolioPage m_PortfolioPage;

public:
	//{{AFX_DATA(CDAO_StockView)
	enum { IDD = IDD_DAO_STOCK_FORM };
	CTabCtrl	m_Tab;
	//}}AFX_DATA

// Attributes
public:
	CDAO_StockDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDAO_StockView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
//	void PopulateControls( CdbRecordset& Stockset );
	virtual ~CDAO_StockView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDAO_StockView)
	afx_msg void OnSelchangeStocktab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DAO_StockView.cpp
inline CDAO_StockDoc* CDAO_StockView::GetDocument()
   { return (CDAO_StockDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DAO_STOCKVIEW_H__E6446480_2540_11D4_9FBB_080009EE62AA__INCLUDED_)
